Package org.bukkit.material

# Class Step

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.TexturedMaterial
org.bukkit.material.Step

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class Step extends TexturedMaterial
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the different types of steps.

## Constructor Summary

Constructors
Constructor
Description
`Step()`
Deprecated.
`Step(Material type)`
Deprecated.
`Step(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Step`
`clone()`
Deprecated.
`protected int`
`getTextureIndex()`
Deprecated.
Magic value
`List<Material>`
`getTextures()`
Deprecated.
Retrieve a list of possible textures.
`boolean`
`isInverted()`
Deprecated.
Test if step is inverted
`void`
`setInverted(boolean inv)`
Deprecated.
Set step inverted state
`protected void`
`setTextureIndex(int idx)`
Deprecated.
Magic value
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.TexturedMaterial

`getMaterial, setMaterial`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Step

public Step()
Deprecated.

### Step

public Step(Material type)
Deprecated.

### Step

@Deprecated public Step(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getTextures

public List<Material> getTextures()
Deprecated.
Description copied from class: `TexturedMaterial`
Retrieve a list of possible textures. The first element of the list will be used as a default.

Specified by:
  `getTextures` in class `TexturedMaterial`
Returns:
  a list of possible textures for this block

### isInverted

public boolean isInverted()
Deprecated.
Test if step is inverted

Returns:
  true if inverted (top half), false if normal (bottom half)

### setInverted

public void setInverted(boolean inv)
Deprecated.
Set step inverted state

Parameters:
  `inv` - - true if step is inverted (top half), false if step is normal (bottom half)

### getTextureIndex

@Deprecated protected int getTextureIndex()
Deprecated.
Magic value
Get material index from data

Overrides:
  `getTextureIndex` in class `TexturedMaterial`
Returns:
  index of data in textures list

### setTextureIndex

@Deprecated protected void setTextureIndex(int idx)
Deprecated.
Magic value
Set material index

Overrides:
  `setTextureIndex` in class `TexturedMaterial`
Parameters:
  `idx` - - index of data in textures list

### clone

public Step clone()
Deprecated.

Overrides:
  `clone` in class `TexturedMaterial`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `TexturedMaterial`